VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
RepeatTimingFunction Class Reference
Animation » Animation Timing Functions | New classes » Version 4.0

`#include <timingfunctions.h>`

Inheritance diagram for RepeatTimingFunction:

## Public Member Functions
| RepeatTimingFunction (TimingFunctionBase *tf, int32_t repeatCount, bool autoReverse=true)
| ~RepeatTimingFunction () noexcept override
float | getPosition (uint32_t milliseconds) override
bool | isDone (uint32_t milliseconds) override
Public Member Functions inherited from ITimingFunction
virtual | ~ITimingFunction () noexcept=default

## Protected Attributes
TimingFunctionBase * | tf
int32_t | repeatCount
uint32_t | runCounter
bool | autoReverse
bool | isReverse

## Constructor & Destructor Documentation

## ◆ RepeatTimingFunction()

RepeatTimingFunction | ( | TimingFunctionBase * | tf,
|  | int32_t | repeatCount,
|  | bool | autoReverse = true )

## ◆ ~RepeatTimingFunction()

~RepeatTimingFunction | ( |  | ) |
| override noexcept

## Member Function Documentation

## ◆ getPosition()

float getPosition | ( | uint32_t | milliseconds | ) |
| override virtual

Implements ITimingFunction.

## ◆ isDone()

bool isDone | ( | uint32_t | milliseconds | ) |
| override virtual

Implements ITimingFunction.

## Member Data Documentation

## ◆ autoReverse

bool autoReverse
| protected

## ◆ isReverse

bool isReverse
| protected

## ◆ repeatCount

int32_t repeatCount
| protected

## ◆ runCounter

uint32_t runCounter
| protected

## ◆ tf

TimingFunctionBase* tf
| protected

The documentation for this class was generated from the following files:

- timingfunctions.h
- timingfunctions.cpp